classification
Title: stream writing support in wave.py
Type: Stage:
Components: Library (Lib) Versions:
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: nnorwitz Nosy List: jorend, nnorwitz, paulhankin, tom375
Priority: normal Keywords: patch

Created on 2007-02-05 11:45 by tom375, last changed 2007-04-21 03:54 by nnorwitz. This issue is now closed.

Files
File name Uploaded Description Edit
wave.diff tom375, 2007-02-05 11:45
Messages (4)
msg51836 - (view) Author: tom (tom375) Date: 2007-02-05 11:45
allows wave files to be written to non-seekable file descriptors
msg51837 - (view) Author: Paul Hankin (paulhankin) Date: 2007-03-17 16:23
The code ignores exceptions thrown during seeks and tells, skipping operations in the process. I can't see how this makes the written wave file correct. 

I would say this patch should be rejected.
msg51838 - (view) Author: Jason Orendorff (jorend) Date: 2007-04-20 22:37
Paul, if you call writeframesraw() exactly once, this would work.

But yes, the patch squelches more errors than it needs to.  Definitely should be rejected.
msg51839 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2007-04-21 03:54
Taking advice and reject.
History
Date User Action Args
2007-02-05 11:45:16tom375create